package cz.moneta.test.regression.ufoframework;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.util.credentials.Keys;
import cz.moneta.test.dsl.util.task.ufo.operations.OperationsTasks;
import cz.moneta.test.harness.annotations.Environment;
import cz.moneta.test.harness.annotations.JiraTestCase;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import cz.moneta.test.harness.support.auth.Credentials;
import cz.moneta.test.harness.support.auth.Key;

@TestScenario(name = "External Function eArchiv")
public class ExternalFunctioneArchiv {

    @TestCase(name = "External Function eArchiv", environments = {Environment.TST1, Environment.PPE})
    @JiraTestCase(id = "UFO-T514")
    public void externalFunctioneArchiv(Harness harness, @Key(Keys.ufo.banka.banker)
    Credentials credentials) {
        OperationsTasks operationsTasksTasks = harness.tasks().ufo().operations();
        harness.withUfo()
                .openLoginPage()
                .then(operationsTasksTasks.login().withCredentialsAndSelectFirstOM(credentials))
                .clickEarchiv();

    }
}